{% extends 'base.html.twig' %}
{% block stylesheets %}
	{{parent()}}
	<link rel="stylesheet" type="text/css" href="{{ asset('theme/lib/select2/dist/css/select2.min.css')}}">
	<link rel="stylesheet" href="{{ asset('theme/lib/sweet-modal/dist/min/jquery.sweet-modal.min.css')}}"/>
	<link rel="stylesheet" type="text/css" href="{{ asset('theme/lib/ladda/dist/ladda.min.css')}}">
{% endblock %}
{% block body %}
<hr>
{{ include('pacientes/new_material.html.twig') }}
{{ include('pacientes/new_diagnostico.html.twig') }}
<div class="section">
  <div class="section-header">
    <h3>Editar Paciente</h3>
  </div>
  <div class="section-body">
    {{ form_start(edit_form) }}
    {{ form_widget(edit_form) }}
    <input type="submit" class="btn btn-theme pull-right" value="Editar"/>
    {{ form_end(edit_form) }}
  </div>
</div>
{% endblock %}

{% block javascripts %}
	{{parent()}}
  <script type="text/javascript" src="{{ asset('theme/lib/select2/dist/js/select2.min.js')}}"></script>
  <script type="text/javascript" src="{{ asset('application.js')}}"></script>
  <script type="text/javascript" src="{{ asset('theme/lib/moment/min/moment.min.js')}}"></script>
  <script type="text/javascript" src="{{ asset('theme/lib/sweet-modal/dist/min/jquery.sweet-modal.min.js')}}"></script>
  <script type="text/javascript" src="{{ asset('theme/lib/ladda/dist/spin.min.js')}}"></script>
  <script type="text/javascript" src="{{ asset('theme/lib/ladda/dist/ladda.min.js')}}"></script>
  <script type="text/javascript" src="{{ asset('pacientes.js')}}"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			$("#menu-pacientes").trigger('click');
			var localidad = '{{localidadId}}';

      $("#appbundle_pacientes_localidadNombre").select2({
  				language: {
  						noResults: function() {
  								return "Tipee nuevamente que no existe";
  						}
  				},
  				escapeMarkup: function(markup) {
  						return markup;
  				},
  				width: '50%',
  				allowClear: true,
  				placeholder: "Buscar Localidad"
  		});

			if (localidad !== 'no') {
				console.log('entra');
				$('#appbundle_pacientes_localidadNombre').val(localidad);
				$('#appbundle_pacientes_localidadNombre').trigger('change.select2')
			}

			$("#appbundle_pacientes_diagnostico").select2({
  				language: {
  						noResults: function() {
  								return "No existe, <button href='{{ path('diagnostico_create') }}' class='btn btn-success' id='diagnostico' type='button' data-toggle='modal' data-target='#newDiagnostico'><b>+</b> Crear Diagnóstico</button>";
  						}
  				},
  				escapeMarkup: function(markup) {
  						return markup;
  				},
  				width: '50%',
  				allowClear: true,
  				placeholder: "Buscar Diagnóstico"
  		});
  		$("#appbundle_pacientes_material").select2({
  				language: {
  						noResults: function() {
  								return "No existe, <button href='{{ path('material_create') }}' class='btn btn-success' id='material' type='button' data-toggle='modal' data-target='#newMaterial'><b>+</b> Crear Material</button>";
  						}
  				},
  				escapeMarkup: function(markup) {
  						return markup;
  				},
  				width: '50%',
  				allowClear: true,
  				placeholder: "Buscar Material Remitido"
  		});
			$("#appbundle_pacientes_localidadNombre").on("change",function(){
				$('#appbundle_pacientes_localidadId').val($(this).val());
			});
		});
	</script>
{% endblock %}
